Overview | Namespace | Component | Index | Help
| Oracle WLOC 10.3 Controller Schema Reference (Version 1.0)
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | FRAMES | NO FRAMES

## http://bea.com/loc
complexType loggingType

    {http://www.w3.org/2001/XMLSchema}anyType
        {http://bea.com/loc}loggingType

Model
  `<...>
  file-severity, base-file-name, rotation-type, rotation-size, rotation-time, file-rotation-dir, number-of-files-limited, rotated-file-count, rotation-time-span, rotation-time-span-factor, rotation-on-startup-enabled, stdout-severity
  </...>`

Prohibited substitutions (block)
  none (extensions and restrictions are allowed)

Usage
  Derived types: none
  Components using this type: controllerType/logging, controllerType/logging

Documentation

                      Defines all the logging properties.

Nested Element Summary
`severityTypes` | `file-severity` The least important severity of messages that will be written to the log file.
`string` | `base-file-name` Base file name.
`logRotationTypes` | `rotation-type` Determines how the log file rotation will be performed based on size, time or number.
`positiveInteger` | `rotation-size` The size threshold at which the log file is rotated in KB.
`string` | `rotation-time` The time in k:mm format when the first rotation happens where k is the hour specified in 24 hour notation and mm is the minutes.
`string` | `file-rotation-dir` The dir where the old rotated files are stored.
`boolean` | `number-of-files-limited` Determines whether old rotated files need to be kept around forever.
`positiveInteger` | `rotated-file-count` If old rotated files are to be deleted, this parameter determines how many of the last files to always keep.
`positiveInteger` | `rotation-time-span` The interval for every time based log rotation.
`positiveInteger` | `rotation-time-span-factor` The factor that is applied to the timespan to arrive at the number of milliseconds that will be the frequency of time based log rotations.
`boolean` | `rotation-on-startup-enabled` Configures whether the log file will be rotated on startup.
`severityTypes` | `stdout-severity` The threshold severity for messages going to stdout.

Overview | Namespace | Component | Index | Help
| Oracle WLOC 10.3 Controller Schema Reference (Version 1.0)
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | FRAMES | NO FRAMES

Version: 10.3